<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_color"
    android:orientation="vertical">

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@mipmap/settings_bg_img" />

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/title_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="8dp"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/back_btn"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:background="@drawable/drw_back_bg">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:src="@drawable/back_icon" />
            </RelativeLayout>

            <TextView
                android:id="@+id/title_text"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="18dp" />

            <RelativeLayout
                android:id="@+id/playlist_title_more_btn"
                android:layout_width="42dp"
                android:layout_height="42dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:src="@drawable/three_dots_icon" />
            </RelativeLayout>

        </LinearLayout>

        <FrameLayout
            android:id="@+id/frame_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp" />

        <LinearLayout
            android:id="@+id/loadingLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:indeterminateTint="@color/green"
                android:progressBackgroundTint="@color/green"
                android:progressTint="@color/green" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/no_content_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/no_content_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/no_content_img" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:layout_marginEnd="32dp"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/content_loading_failed"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tryAgainBtn"
                android:layout_width="wrap_content"
                android:layout_height="48dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/drw_btn_bg"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:paddingStart="32dp"
                android:paddingEnd="32dp"
                android:text="@string/try_again"
                android:textColor="@color/black"
                android:textSize="16dp" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="8dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@+id/play_music_layout"
                android:orientation="vertical">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="16dp"
                    android:overScrollMode="never"
                    android:scrollbars="none" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/play_music_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:orientation="vertical" />
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentBottom="true"
        android:orientation="vertical"
        android:visibility="gone">

        <View
            android:id="@+id/bottom_blank_layout"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="68dp"
            android:layout_weight="3" />

        <LinearLayout
            android:id="@+id/layout_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/drw_bottom_layout_bg"
            android:orientation="vertical"
            android:paddingBottom="32dp"
            android:visibility="visible">

            <LinearLayout
                android:id="@+id/bottomCloseBtn"
                android:layout_width="match_parent"
                android:layout_height="32dp"
                android:gravity="center">

                <TextView
                    android:layout_width="30dp"
                    android:layout_height="4dp"
                    android:background="@drawable/drw_bottom_close_btn_bg"
                    android:gravity="center" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingStart="18dp"
                android:paddingEnd="18dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <androidx.cardview.widget.CardView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:elevation="0dp"
                        app:cardBackgroundColor="@color/transparent"
                        app:cardCornerRadius="10dp"
                        app:cardElevation="0dp">

                        <ImageView
                            android:id="@+id/songImg"
                            android:layout_width="50dp"
                            android:layout_height="50dp"
                            android:src="@mipmap/app_logo" />

                    </androidx.cardview.widget.CardView>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_marginStart="12dp"
                        android:layout_marginEnd="12dp"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:orientation="vertical">

                        <melody.offline.music.view.MarqueeTextView
                            android:id="@+id/title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/regular_font"
                            android:maxLines="1"
                            android:text="@string/app_name"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                        <melody.offline.music.view.MarqueeTextView
                            android:id="@+id/name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/regular_font"
                            android:maxLines="1"
                            android:text="@string/app_name"
                            android:textColor="@color/white_60"
                            android:textSize="12dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/favoritesBtn"
                        android:layout_width="32dp"
                        android:layout_height="32dp"
                        android:background="@drawable/drw_round_48_bg"
                        android:gravity="center">

                        <ImageView
                            android:id="@+id/favoritesImg"
                            android:layout_width="16dp"
                            android:layout_height="16dp"
                            android:src="@drawable/not_favorited_icon" />
                    </LinearLayout>
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="16dp"
                    android:background="@color/liner_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        android:id="@+id/moreDownloadBtn"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginTop="4dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                            <ImageView
                                android:id="@+id/downloadImg"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/more_downloaded_icon" />

                            <ProgressBar
                                android:id="@+id/downloadLoading"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:indeterminateTint="@color/green"
                                android:progressBackgroundTint="@color/green"
                                android:progressTint="@color/green"
                                android:visibility="gone" />


                        </RelativeLayout>

                        <TextView
                            android:id="@+id/downloadTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:text="@string/download_remove_offline"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/moreAddPlaylistBtn"
                        android:layout_width="match_parent"
                        android:layout_height="48dp"
                        android:layout_marginTop="4dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:src="@drawable/more_add_playlist_icon" />

                        <TextView
                            android:id="@+id/addPlaylistTv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="12dp"
                            android:text="@string/add_to_playlist"
                            android:textColor="@color/white"
                            android:textSize="14dp" />

                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>

</RelativeLayout>
